import {DEFAULT_DASHBOARDS_CONTEXT} from '@bthlabs/homehub-core';

import {DashboardsFactory} from 'tests/__fixtures__/dashboards';

export const DashboardsContextFactory = () => {
  return {
    ...DEFAULT_DASHBOARDS_CONTEXT,
    currentDashboardId: 'testing',
    dashboards: DashboardsFactory(),
    nukeService: jasmine.createSpy(),
    saveServiceCharacteristics: jasmine.createSpy(),
    saveServiceLayout: jasmine.createSpy(),
    addService: jasmine.createSpy(),
    isLoading: false,
    lastSaveTimestamp: null,
    lastSaveError: null,
    isSaving: false,
    isWebSocketConnected: false,
    setCurrentDashboardId: jasmine.createSpy(),
    dashboardsHash: null,
    addDashboard: jasmine.createSpy(),
  };
};
